package question

import "github.com/gofiber/fiber/v2"

func (r *Question) Register(router fiber.Router) {
	router.Post("/create", r.CreateQuestion)
	router.Post("/getList", r.GetQuestionList)
	router.Patch("/edit", r.UpdateQuestion)
	router.Post("/copy", r.CopyQuestion)
	router.Post("/history", r.GetQuestionHistory)
	router.Delete("/delete", r.DeleteQuestion)
}

func (r *Question) Name() string {
	return "question"
}
